Skip to main content
GET
Get Conversation By Id

Authorizations

Authorization
string
header
required

An API key, sent as Authorization: Bearer hrld_....

Path Parameters

brand_id
string<uuid>
required

The brand's UUID from listBrands.

conversation_id
string<uuid>
required

A conversation id from list_conversations.

Query Parameters

limit
integer
default:50

Maximum rows (100).

Required range: 1 <= x <= 100
cursor
string | null

Prior next_cursor; keep filters and limit.

Maximum string length: 4096

Response

Successful Response

has_newer
boolean
required
has_older
boolean
required
last_seq
integer
required
limit
integer
required
messages
V1StoredMessage · object[]
required
meta
Meta · object
required

Normalized query and newest included scan.

next_cursor
string | null
required

Pass as cursor with the same query to read the next page; null at the end.

offset
integer
required
total
integer
required